<?php
/**
 * Image
 * @date 13.07.2006
 * @name Image
 * @author Margo Poolak <margo 'dot' poolak 'at' mail 'dot' ee>
 * @copyright Copyright &copy;2006 Margo Poolak. All Rights Reserved.
 * @version 2.0
 * @package System.Web.UI.HtmlControls
 * @category 
 * 
 * Generates the html input fields text, password, checkbox, radio etc.
 *
 */
class Image extends HtmlControl
{
	public function render()
	{
		$attributes = $this->renderAttributes();
		$alt = $this->getAlt();
		if(empty($alt))
		{
			trigger_error("Html img tag requires alternative text",E_USER_ERROR);
		}
		$image = '<img '.$attributes.' />';
		return $image;
	}
}
?>